petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecExp

Replaces each component of a vector by e^x_i

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecExp(Vec v)

Not collective Many br

### Input Parameter

v -The vector Many br

### Output Parameter

v -The vector of exponents Many br

Many br

### See Also

VecLog(), VecAbs(), VecSqrtAbs(), VecReciprocal()

### Keywords

vector, sqrt, square root

Level:beginner
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html